Bug 566163 - Review Request: sugar-logos - Boot splash imagery for Sugar on a Stick
Review Request: sugar-logos - Boot splash imagery for Sugar on a Stick
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SOAS-3
  Show dependency treegraph
 
Reported: 2010-02-17 08:57 EST by Sebastian Dziallas
Modified: 2010-02-23 11:07 EST (History)
3 users (show)

See Also:
Fixed In Version: sugar-logos-2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 11:07:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2010-02-17 08:57:50 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-logos.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-logos-2-1.fc12.src.rpm

Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1993389
Description: This is another major requirement for the SoaS effort.
Comment 1 Christoph Wickert 2010-02-20 21:01:12 EST
OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/sugar-logos-2-1.fc14.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines: GPLv2+
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 687fc657bcb1cf01a2b47093063e2dc5
OK - MUST: successfully compiles and builds into binary rpms on all architectures
OK - MUST: all build dependencies are listed in BuildRequires: none
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
OK - MUST: consistently uses macros
OK - MUST: package contains permissible content
OK - MUST: no large documentation files for a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Timestamps match upstream source and are preserved during %install


Issues:

Is this GPLv2 or GPLv2+? I couldn't find any info in the source. You are the author, please clarify the license and add an AUTHORS file in the next release.

I wonder if "sugar-logos" is the proper name for this package. Usually a *-logos package contains *all* the branding. Is this already sufficient for SOAS or are you planning to enhance the source with more graphics so it becomes a full counterpart to fedora-logos/generic-logos? If so, you need to add "Provides: system-logos".
IMHO this package should be named "plymouth-theme-sugar" to be in line with the rest of our packages. Even if you include more icons in the source, you should package the plymouth theme separately I think.

soas.plymouth contains a hardcoded path with /usr/share/. Fix this upstream.
Comment 2 Sebastian Dziallas 2010-02-22 16:42:57 EST
(In reply to comment #1)

Thanks for taking on this one! ;)

> Issues:
> 
> Is this GPLv2 or GPLv2+? I couldn't find any info in the source. You are the
> author, please clarify the license and add an AUTHORS file in the next release.

Well, http://git.sugarlabs.org/projects/sugar-logos/repos/mainline/blobs/master/COPYING says that "the images in sugar-logos are licensed as GPLv2+." but I guess that could be improved, indeed.

I'll add an AUTHORS file for the next release (which should happen soon anyway, as we need some new stuff for v3).

> I wonder if "sugar-logos" is the proper name for this package. Usually a
> *-logos package contains *all* the branding. Is this already sufficient for
> SOAS or are you planning to enhance the source with more graphics so it becomes
> a full counterpart to fedora-logos/generic-logos? If so, you need to add
> "Provides: system-logos".
> IMHO this package should be named "plymouth-theme-sugar" to be in line with the
> rest of our packages. Even if you include more icons in the source, you should
> package the plymouth theme separately I think.

I was thinking about this, too. This package is currently not a full counter-part to fedora-logos and such. However, it might contain additional images and related stuff in the future.

http://cvs.fedoraproject.org/viewvc/devel/fedora-logos/fedora-logos.spec?view=markup also contains the plymouth images which is why I originally went with this naming.

> soas.plymouth contains a hardcoded path with /usr/share/. Fix this upstream.    

http://cvs.fedoraproject.org/viewvc/devel/plymouth/charge.plymouth?view=markup does the same thing (which admittedly isn't exactly an argument for doing it, though) - the files it links to will always live in that path.
Comment 3 Christoph Wickert 2010-02-22 17:13:37 EST
Ok, I suggest to stick with the name sugar-logos, at least for now. Once the package contains more images than just the plymouth screen, you couls/should split it. The srpm remains sugar-logos.

Don't forget to add a "Provides: system-logos" once this becomes a full logo package and conflicts with the others.

APPROVED.
Comment 4 Sebastian Dziallas 2010-02-22 17:25:59 EST
New Package CVS Request
=======================
Package Name: sugar-logos
Short Description: Boot splash imagery for Sugar on a Stick
Owners: sdz
Branches: F-13
Comment 5 Jason Tibbitts 2010-02-22 18:38:01 EST
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-02-23 05:23:06 EST
sugar-logos-2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sugar-logos-2-1.fc13
Comment 7 Fedora Update System 2010-02-23 11:07:32 EST
sugar-logos-2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.